# Single High Cap BDS Collection Setup Script v1.2 June 2015
#

# Open all the buckets to clear them out
actuator_control.open(aux)
actuator_control.multiple([(plot, OPEN), (bds_wiper, OPEN), (bds_cup, OPEN)])

# Give ample time to clear the buckets
delay(1000)

# Close everything 
if device.TestWeightEnabled:
	actuator_control.multiple([(aux, CLOSE), (plot, CLOSE), (bds_wiper, CLOSE), (bds_cup, CLOSE)])
else:
	actuator_control.multiple([(aux, CLOSE), (plot, CLOSE), (bds_wiper, CLOSE)])

tare.check(check_moisture=device.MoistureEnabled, check_test_weight=device.TestWeightEnabled)